SystemInfo (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.helper
Class SystemInfo

    java.lang.Object
      org.maltparser.core.helper.SystemInfo

    public class SystemInfo

extends Object

Author:
  Johan Hall

Method Summary
`static String` | `getBuildDate()` Returns the build date
`static File` | `getMaltJarPath()`
`static Attributes` | `getManifestAttributes()` Returns a set of attributes present in the jar manifest file
`static String` | `getVersion()` Returns the version number as string
`static String` | `header()` Returns the application header
`static SystemInfo` | `instance()` Returns a reference to the single instance.
`static String` | `shortHelp()` Returns a short version of the help

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static SystemInfo instance()

  Returns a reference to the single instance.

### header

    public static String header()

  Returns the application header

  Returns:
    the application header

### shortHelp

    public static String shortHelp()

  Returns a short version of the help

  Returns:
    a short version of the help

### getManifestAttributes

    public static Attributes getManifestAttributes()

  Returns a set of attributes present in the jar manifest file

  Returns:
    a set of attributes present in the jar manifest file

### getVersion

    public static String getVersion()

  Returns the version number as string

  Returns:
    the version number as string

### getBuildDate

    public static String getBuildDate()

  Returns the build date

  Returns:
    the build date

### getMaltJarPath

    public static File getMaltJarPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.